#define MOUSE_PRODUCT_ID_REG					0x00
#define MOUSE_REVISION_ID_REG					0x01
#define MOUSE_MOTION_REG						0x02
#define MOUSE_DELTA_X_REG						0x03
#define MOUSE_DELTA_Y_REG						0x04
#define MOUSE_SQUAL_REG							0x05
#define MOUSE_PIXEL_SUM_REG						0x06
#define MOUSE_MAXIMUM_PIXEL_REG 				0x07
#define MOUSE_CONFIGURATION_BITS_REG			0x0a
#define MOUSE_EXTENDED_CONFIG_REG				0x0b
#define MOUSE_DATA_OUT_LOWER_REG				0x0c
#define MOUSE_DATA_OUT_UPPER_REG				0x0d
#define MOUSE_SHUTTER_LOWER_REG					0x0e
#define MOUSE_SHUTTER_UPPER_REG					0x0f
#define MOUSE_FRAME_PERIOD_LOWER_REG			0x10
#define MOUSE_FRAME_PERIOD_UPPER_REG			0x11
#define MOUSE_MOTION_CLEAR_REG					0x12
#define MOUSE_FRAME_CAPTURE_REG					0x13
#define MOUSE_SROM_ENABLE_REG					0x14
#define MOUSE_FRAME_PERIOD_MAX_BOUND_LOWER_REG	0x19
#define MOUSE_FRAME_PERIOD_MAX_BOUND_UPPER_REG	0x1a
#define MOUSE_FRAME_PERIOD_MIN_BOUND_LOWER_REG	0x1b
#define MOUSE_FRAME_PERIOD_MIN_BOUND_UPPER_REG	0x1c
#define MOUSE_SHUTTER_MAX_BOUND_LOWER_REG		0x1d
#define MOUSE_SHUTTER_MAX_BIUND_UPPER_REG		0x1e
#define MOUSE_SROM_ID_REG						0x1f
#define MOUSE_OBSERVATION_REG					0x3d
#define MOUSE_INVERSE_PRODUCT_ID				0x3f
#define MOUSE_PIXEL_BURST_REG					0x40
#define MOUSE_MOTION_BURST_REG					0x50
#define MOUSE_SROM_LOAD_REG						0x60


void mouse_init(void);

uint8_t mouse_read(uint8_t adr);			
// schickt Lesekommando und liest ein Byte zurueck; adr=Adresse

void mouse_write(uint8_t adr, uint8_t data);
// sendet Schreibkommando; adr=adresse

void motion_read(void)
// Liest 56 Bits, also 7 Register (Motion, Delta_X, Delta_Y, SQUAL, Shutter_Upper, Shutter_Lower, Maximum_Pixel)

void mouse_image_prepare(void);
// Bereitet Auslesen eines ganzen Bildes vor

void mouse_image_read(void);
// Bei jedem Aufruf das naechste Pixel des Bildes; vorher mouse_image_prepare() aufrufen
